{% extends "flask_user_layout.html" %}
{% block content %}
<div class="container">
    <div id="placeholder">
        <div style="height: 500px; display: flex; justify-content: center; align-items: center;">
            <div style="border: 7px solid #f3f3f3; border-top: 7px solid #2a2a2a; border-radius: 50%; width: 60px; height: 60px; animation: spin 1s linear infinite;"></div>
        </div>
    </div>
</div>

<style>@keyframes spin { 0% { transform: rotate(0deg); } 100% { transform: rotate(360deg); } }</style>

<script>

     function showRecommendations(event) {
        event.preventDefault(); // Prevent the default anchor action
        var placeholder = document.getElementById("placeholder");

        // Create an AJAX request
        var xhr = new XMLHttpRequest();
        xhr.open('POST', '/load_recommendations', true);
        xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');

        // Handle the response
        xhr.onload = function() {
            if (xhr.status === 200) {
                // Replace the entire div with the response
                placeholder.innerHTML = xhr.responseText;
            } else {
                alert('Request failed. Returned status of ' + xhr.status);
            }
        };

        // Send the request with the movie ID and the rating
        xhr.send();
    }

    window.onload = showRecommendations

</script>

{% endblock %}